Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981119 - Depend on package providing the actual .so
Summary: Depend on package providing the actual .so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-gssapi
Version: 19
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 975339
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 05:12 UTC by Jan Pazdziora
Modified: 2013-07-24 03:45 UTC (History)
2 users (show)

Fixed In Version: rubygem-gssapi-1.1.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of: 975339
Environment:
Last Closed: 2013-07-23 19:39:27 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2013-07-04 05:12:30 UTC
+++ This bug was initially created as a clone of Bug #975339 +++

--- Additional comment from Vít Ondruch on 2013-06-28 17:24:39 CEST ---

Now I realized, that I did not noticed any reference to some gssapi library. Shouldn't be there added "Requires: /usr/lib64/libgssapi_krb5.so.2"? The gem probably cannot work properly without it.

--- Additional comment from Vít Ondruch on 2013-06-28 17:30:40 CEST ---

Or may be libgssapi.so, but libgssapi seems to be deprecated, as of today: "Removed package:  libgssapi-0.11-12.fc19", that is how I realized the missing dependencies.

--- Additional comment from Jan Pazdziora on 2013-07-01 11:27:57 CEST ---

The gem uses libgssapi_krb5.so.2.

The question then is -- is it OK to add

   Requires: krb5-libs

or do I need to add Requires for a particular .so/lib path, in which case the rubygem package would probably need to change from noarch to arch one?

--- Additional comment from Vít Ondruch on 2013-07-01 11:37:57 CEST ---

(In reply to Jan Pazdziora from comment #15)
> The gem uses libgssapi_krb5.so.2.
> 
> The question then is -- is it OK to add
> 
>    Requires: krb5-libs

Yes, that is fine.

> or do I need to add Requires for a particular .so/lib path, in which case
> the rubygem package would probably need to change from noarch to arch one?

You are right. There is probably no better was the add dependency on library directly. But I'll ask on fedora-devel just out of curiosity.

--- Additional comment from Vít Ondruch on 2013-07-01 11:59:11 CEST ---

Just for a referrence: https://lists.fedoraproject.org/pipermail/devel/2013-July/184690.html

Comment 1 Jan Pazdziora 2013-07-04 05:55:54 UTC
The Requires: krb5-libs added in fd2cc88445cf057b98eab1f8fec8f885fc018b67 and 6ca49da240aee31f878c8ad10c4499221a30910c.

Comment 2 Fedora Update System 2013-07-04 05:57:38 UTC
rubygem-gssapi-1.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-gssapi-1.1.2-2.fc19

Comment 3 Fedora Update System 2013-07-04 05:58:43 UTC
rubygem-gssapi-1.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-gssapi-1.1.2-2.el6

Comment 4 Fedora Update System 2013-07-04 20:04:57 UTC
Package rubygem-gssapi-1.1.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rubygem-gssapi-1.1.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10744/rubygem-gssapi-1.1.2-2.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-07-23 19:39:27 UTC
rubygem-gssapi-1.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-07-24 03:45:21 UTC
rubygem-gssapi-1.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.